<?php
/** 
*
* @package phpBB3
* @version $Id: poststats.php,v 1.0.0 2008/11/27 22:20:12 Stoker Exp $
* @copyright (c) 2008 Stoker (www.phpbb3bbcodes.com) 
* @license http://opensource.org/licenses/gpl-license.php GNU Public License 
*
*/

/**
* @ignore
*/
define('IN_PHPBB', true);
$phpbb_root_path = (defined('PHPBB_ROOT_PATH')) ? PHPBB_ROOT_PATH : './';
$phpEx = substr(strrchr(__FILE__, '.'), 1);
include($phpbb_root_path . 'common.' . $phpEx);

// Start session management
$user->session_begin();
$auth->acl($user->data);
$flist = $auth->acl_getf('f_read', true);
$flist = array_unique(array_keys($flist));
$user->setup('common');

$start = request_var('start', 0);

    // How many posts do we have?
    $sql = 'SELECT COUNT(post_id) AS total_posts
        FROM ' . POSTS_TABLE . ' WHERE ' . $db->sql_in_set('forum_id', $flist) . '
        ORDER BY post_id';
    $result = $db->sql_query($sql);
    $total_posts = (int) $db->sql_fetchfield('total_posts');
    $db->sql_freeresult($result);

    $pagination_url = append_sid("{$phpbb_root_path}poststats.$phpEx");

// Grab Topic details for display
$sql = 'SELECT post_id, topic_id, forum_id, poster_id, poster_ip, post_time, post_subject 
	FROM ' . POSTS_TABLE . ' WHERE ' . $db->sql_in_set('forum_id', $flist) . '
	ORDER BY post_time DESC';
$result = $db->sql_query_limit($sql, 50, $start);

while ($row = $db->sql_fetchrow($result))
{
	$template->assign_block_vars('posts', array(
		'POST_ID'			=> $row['post_id'], 
		'TOPIC_ID'	    	=> $row['topic_id'],
		'FORUM_ID'			=> $row['forum_id'],
		'POSTER_ID'			=> $row['poster_id'],
		'POSTER_IP'			=> $row['poster_ip'],
		'POST_TIME'         => $user->format_date($row['post_time']), 
		'POST_SUBJECT'		=> $row['post_subject'],
	));
}
$db->sql_freeresult($result);

$template->assign_vars(array(
        'PAGINATION'           =>  generate_pagination($pagination_url, $total_posts, 50, $start),
        'PAGE_NUMBER'           => on_page($total_posts, 50, $start),
        'TOTAL_POSTS'           => ($total_posts == 1) ? $user->lang['POST_COUNT'] : sprintf($user->lang['POSTS_COUNT'], $total_posts),
    ));

// Output page
page_header($user->lang['POSTSTATSPAGE']);

$template->set_filenames(array(
	'body' => 'poststats_body.html')
);

page_footer();

?>